#!/bin/sh

echo "~> Grabbing a random image from unsplash.com..."

mkdir -p /mnt/usr/share/wallpapers/

for tag in {forest,ocean,sky,snow,architecture,technology,stars,hills,nature,fields,trees,night}; do
    wget $(curl https://unsplash.com/search/photos/$tag | grep -oE 'content="http://images.unsplash.com/photo-([a-zA-Z0-9_\\-]*)' | sed -e 's/content="//g' | shuf -n 1) -O /mnt/usr/share/wallpapers/$tag-$(uuidgen).jpg
done

amf_return=0
